import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { BurnArgs, BurnArgsArgs } from '../types';
export type BurnInstructionAccounts = {
    metadata?: PublicKey;
    owner: Signer;
    mint: PublicKey;
    tokenAccount: PublicKey;
    masterEditionAccount: PublicKey;
    splTokenProgram?: PublicKey;
    collectionMetadata?: PublicKey;
    authorizationRules?: PublicKey;
    authorizationRulesProgram?: PublicKey;
};
export type BurnInstructionData = {
    discriminator: number;
    burnArgs: BurnArgs;
};
export type BurnInstructionDataArgs = {
    burnArgs: BurnArgsArgs;
};
export declare function getBurnInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<BurnInstructionDataArgs, BurnInstructionData>;
export declare function burn(context: Pick<Context, 'serializer' | 'programs' | 'eddsa'>, input: BurnInstructionAccounts & BurnInstructionDataArgs): WrappedInstruction;
