import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type BurnV1InstructionAccounts = {
    metadata?: PublicKey;
    owner: Signer;
    mint: PublicKey;
    tokenAccount: PublicKey;
    masterEditionAccount: PublicKey;
    splTokenProgram?: PublicKey;
    collectionMetadata?: PublicKey;
    authorizationRules?: PublicKey;
    authorizationRulesProgram?: PublicKey;
};
export type BurnV1InstructionData = {
    discriminator: number;
    burnV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type BurnV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getBurnV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<BurnV1InstructionDataArgs, BurnV1InstructionData>;
export declare function burnV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa'>, input: BurnV1InstructionAccounts & BurnV1InstructionDataArgs): WrappedInstruction;
