import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type VerifyV1InstructionAccounts = {
    metadata: PublicKey;
    collectionAuthority: Signer;
    payer?: Signer;
    authorizationRules?: PublicKey;
    authorizationRulesProgram?: PublicKey;
};
export type VerifyV1InstructionData = {
    discriminator: number;
    verifyV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type VerifyV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getVerifyV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<VerifyV1InstructionDataArgs, VerifyV1InstructionData>;
export declare function verifyV1(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: VerifyV1InstructionAccounts & VerifyV1InstructionDataArgs): WrappedInstruction;
